/******************************************************************************
 * Copyright 1991-2009 by ADIC, Inc.  All rights reserved.
 * No part of this work may be reproduced or transmitted in any
 * form or by any means, electronic or mechanical, including
 * photocopying and recording, or by any information storage
 * or retrieval system, except as may be expressly permitted by
 * the 17 U.S.C. section 101, et. seq., or in writing by
 * ADIC, Inc.
 *******************************************************************************/
/* check to see if the entered email address is value */
function isValidEmailAddress(addr)
{
   var filter  = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
   if (filter.test(addr))
      return true;
   else
      return false;
}

// This function gets all of the info for the defined notifications.
// With this information the appropriate info is populated on modify
function getInfo(task)
{
   var headerform = document.forms['SetupNotificationForm'];
   var createform = document.forms['CreateNotificationForm'];
   var modform = document.forms['ModifyNotificationForm'];
   var gotNotification = 0;
   var length;
   var value;

   if (task == "create")
   {
      if( parseInt(headerform.activeCount.value) >= headerform.maxEmailAddresses.value )
      {
         alert("The maximum number of e-mail addresses ("+ headerform.maxEmailAddresses.value + ") have been defined.");
         return;
      }
      createform.emailAddress.value = "";
      createform.Comment.value = "";
      createform.DriveLog.checked = false;
      createform.TapeAlertLog.checked = false;
      createform.MediaUsageLog.checked = false;
      createform.MediaSecurityEventLog.checked = false;

      switchDiv('header','createNotification');
   }
   else if (task == "modify")
   {
      // check to see if 0 or 1 notifications exist
      // Goofy fix for radio buttons that only have one element in the array.
      // input type radio will return undefined if only one element in
      // the array.
      // below: no items in the list
      if (!headerform.addresses)
      {
         alert("No notifications exist to modify.");
         return;
      }
      // one notification in the list
      else if (!headerform.addresses.length)
      {
         length = 1;
      }
      else // more then 1 notification in the list
      {
         length = headerform.addresses.length;
      }

      for (i=0; i<length; i++)
      {
         if (length <= 1)
         {
            checked = headerform.addresses.checked;
            if (checked)
            {
                gotNotification = 1;
                value = headerform.addresses.value;
                break;
            }
         }
         else
         {
            checked = headerform.addresses[i].checked;
            if (checked)
            {
                gotNotification = 1;
                value = headerform.addresses[i].value;
                break;
            }
         }
      }

      if (gotNotification == 0)
      {
         alert("Please select a notification to modify.");
         return;
      }

      // We have a notification selected - lets load up the modify form.
      // split out the selected values
      // $addr->emailaddress:$addr->sendDriveUtilization:$addr->sendMediaIntegrity:$addr->sendMediaUsage:$addr->sendMediaSecurity:$addr->day:$addr->time:$addr->comment
      //alert( value );
      var notInfo = value.split(":");
      var email                = notInfo[0];
      var sendDriveUtilization = notInfo[1];
      var sendMediaIntegrity   = notInfo[2];
      var sendMediaUsage       = notInfo[3];
      var sendMediaSecurity    = notInfo[4];
      var day                  = notInfo[5];
      var time                 = notInfo[6];
      var comment              = notInfo[7];
      var guid                 = notInfo[8];

      modform.emailAddress.value = email;
      modform.emailAddressSHOW.value = email;
      
      modform.DriveLog.checked = sendDriveUtilization==1;
      modform.TapeAlertLog.checked = sendMediaIntegrity==1;
      modform.MediaUsageLog.checked = sendMediaUsage==1;
      modform.MediaSecurityEventLog.checked = sendMediaSecurity==1;
      modform.Comment.value = comment;
      modform.guid.value = guid;

      // Handle the combo box selections

      for (i=0; i<modform.DayOfWeek.options.length; i++)
      {
        if (modform.DayOfWeek.options[i].value == day)
        {
            modform.DayOfWeek.options[i].selected = true;
            break;
        }
      }
      for (i=0; i<modform.NoteTime.options.length; i++)
      {
        if (modform.NoteTime.options[i].value == time)
        {
            modform.NoteTime.options[i].selected = true;
            break;
        }
      }

      // to check for modifications from the current value
      modform.originalEmailAddress.value = email;

      switchDiv('header','modifyNotification');
   }
}


// Checks to make sure the form has been filled out correctly
function checkNotificationForm(formNumber)
{
   var f = document.forms[formNumber];
   var headerform = document.forms[0];

   // Check the characters used in the comment.
   if( f.Comment.value != "")
   {
       var pattern = /[^A-Za-z0-9- ]/;

       // make sure all characters are valid.
       if( f.Comment.value.match(pattern) )
       {
          alert("Invalid characters used in the comment string.\nOnly letters, numbers, spaces and hyphens, are allowed in the string.");
          return;
       }
   }
   // create
   if (formNumber == 1)
   {
      // has the email address been filled in
      if (f.emailAddress.value == "")
      {
         alert("Please enter an e-mail address.");
         return;
      }
      if (!isValidEmailAddress(f.emailAddress.value))
      {
         alert(f.emailAddress.value + " is not a valid e-mail address.");
         f.emailAddress.focus();
         return;
      }
      // Has the user selected any of the reports?
      if(!f.DriveLog.checked && !f.TapeAlertLog.checked && !f.MediaUsageLog.checked && !f.MediaSecurityEventLog.checked)
      {
          alert("You must select at least one report to be e-mailed.");
          return;
      }

/* We allow the same address more than once now. PCR 25961
      if (headerform.emailAddrList.value != "")
      {
         emailListValue = headerform.emailAddrList.value;
         emailListArray = emailListValue.split(":");
         // Check to see if email address already exists
         for (i=0; i<emailListArray.length; i++)
         {
            if (emailListArray[i].toUpperCase() == f.emailAddress.value.toUpperCase())
            {
               alert("The e-mail address you have entered [" + f.emailAddress.value + "] already exists.");
               f.emailAddress.focus();
               return;
            }
         }
      }
*/
      // Post the INFO back to the form so PHP can save the data.
      openProgressWindow("Creating E-mail Notification For "+f.emailAddress.value, formNumber);
   }
   // modify
   else if (formNumber == 2)
   {
      // has the e-mail address been filled in
      //if (f.emailAddress.value == "")
      //{
      //   alert("Please enter an e-mail address.");
      //   return;
      //}
      //if (!isValidEmailAddress(f.emailAddress.value))
      //{
      //   alert(f.emailAddress.value + " is not a valid e-mail address.");
      //   f.emailAddress.focus();
      //   return;
      //}
//      var inputList;
//      inputlist = document.getElementsByName('addresses');

//      for (i=0; i<inputlist.length; i++)
//      {
//            var addressAttr;
//            addressAttr = inputlist[i].value.split(":");
//            if( (addressAttr[0].toUpperCase() == f.emailAddress.value.toUpperCase()) &&
//                (f.currentGuid.value != addressAttr[5]) )
//            {
//               alert("The e-mail address you have entered [" + f.emailAddress.value + "] already exists.");
//               f.emailAddress.focus();
//               return;
//            }
//      }

      // Move the hidden address into the address that will get posted.
      //f.emailAddress.value=f.emailAddressSHOW.value;
      // launch status window and pass in form number form submission
      openProgressWindow("Modifying E-mail Notification For "+f.emailAddress.value, formNumber);
   }
}

// This function confirms the deletion of a notification
function confirmDelete()
{
   var headerform = document.forms[0];
   var formNumber = "0";
   var gotNotification = 0;
   var length;
   var value;

   // check to see if 0 or 1 notifications exist
   // Goofy fix for radio buttons that only have one element in the array.
   // input type radio will return undefined if only one element in
   // the array.
   // below: no items in the list
   if (!headerform.addresses)
   {
      alert("No notifications exist to modify.");
      return;
   }
   // one notification in the list
   else if (!headerform.addresses.length)
   {
      length = 1;
   }
   else // more then 1 notification in the list
   {
      length = headerform.addresses.length;
   }

   for (i=0; i<length; i++)
   {
      if (length <= 1)
      {
         checked = headerform.addresses.checked;
         if (checked)
         {
            gotNotification = 1;
            value = headerform.addresses.value;
            break;
         }
      }
      else
      {
         checked = headerform.addresses[i].checked;
         if (checked)
         {
            gotNotification = 1;
            value = headerform.addresses[i].value;
            break;
         }
      }
   }

   // no notification was selected
   if (gotNotification == 0)
   {
      alert("No notification has been selected for deletion.");
      return;
   }

   // need to split all attributes
   var notInfo   = value.split(":");
   var email     = notInfo[0];

   if (confirm("Are you sure you want to delete advanced reporting notification [ " + email + " ]?"))
   {
      // pass back the notification reference
      //headerform.notificationRef.value = notRef;
      headerform.originalEmailAddress.value = email;
      //headerform.originalGuid.value = guid;

      // launch status window and pass in form number form submission
      openProgressWindow("Deleting E-mail Notification For "+email, formNumber);
   }
   else
   {
      return;
   }
}

function testEmailConfiguration()
{
   // see if the email config is done
   if( document.getElementById('isEmailConfigured').value == 'false' )
   {
      alert('To send a Capture Snapshot e-mail, the E-mail Account must be set up.  The E-mail Account may be set up using Setup->Notifications->E-mail Configuration.');
        // Disable the email field.
        document.forms['ToolsCaptureStateForm'].emailAddress.disabled = true;
      // select the browser download
      var opList = document.forms['ToolsCaptureStateForm'].getElementsByTagName('input');
      for(i=0; i<opList.length; i++)
      {
        if( opList[i].value == 'browser' )
        {
           opList[i].checked = true;
           break;
        }
      }
      return false;
   }
   else
   {
      // Enable the email field.
      document.forms['ToolsCaptureStateForm'].emailAddress.disabled = false;
      return true;
   }
}

function keyPressed(e, formNumber)
{
   var key = e.keyCode;
   if( key == 13 )
   {
      checkNotificationForm(formNumber);
   }

}
