#! /bin/sh
#
#

# Check the Number of parameters
if [ $# -ne 1 ] ; then
   echo "Usage: ${0} <disable | enable>"
   exit 1
fi

# Convert the parameter to lowercase
MODE="`echo ${1} | tr [:upper:] [:lower:]`"

# Check the parameter passed and make sure it's valid
if [ "${MODE}" = "disable" ] ; then
        echo 'Disabling SSL ...'
        rm -rf /home/embedded/library/HTTPService/lighttpd/conf/ssl.conf
        ln -s /home/embedded/library/HTTPService/lighttpd/conf/ssl_disable.conf /home/embedded/library/HTTPService/lighttpd/conf/ssl.conf
        rm -rf /home/embedded/library/HTTPService/lighttpd/php/conf/php.ini
        ln -s /home/embedded/library/HTTPService/lighttpd/php/conf/php_nossl.ini /home/embedded/library/HTTPService/lighttpd/php/conf/php.ini
elif [ "${MODE}" = "enable" ] ; then
        echo 'Enabling SSL ...'
        rm -rf /home/embedded/library/HTTPService/lighttpd/conf/ssl.conf
        ln -s /home/embedded/library/HTTPService/lighttpd/conf/ssl_enable.conf /home/embedded/library/HTTPService/lighttpd/conf/ssl.conf
        rm -rf /home/embedded/library/HTTPService/lighttpd/php/conf/php.ini
        ln -s /home/embedded/library/HTTPService/lighttpd/php/conf/php_ssl.ini /home/embedded/library/HTTPService/lighttpd/php/conf/php.ini
else
   echo "${MODE} is a Bad Parameter"
   echo "Usage: ${0} <disable | enable>"
   exit 1
fi

echo "Stopping httpd."
sh /home/embedded/library/HTTPService/lighttpd/bin/stophttpd
echo "Starting httpd."
sh /home/embedded/library/HTTPService/lighttpd/bin/starthttpd

echo "Done."

exit 0
